import React from 'react'
import styled from 'styled-components'
import '../core/css/style.scss'
import config from '../local/js/config'

import icon_quote from '../local/media/images/icon_citacao.png'

// Styling
const StyledDiv = styled.div`
  .citacao-direta{
       border-left: 0.5vh solid ${config.PrimaryColor} !important;
       padding-left: 2%;
    }
`

// Page
class CaixaCitacao extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      content: this.props.Content
    }
  }

  render () {
    return (
      <StyledDiv className='caixa caixa-citacao'>
        <div className='grid-row'>
          <div className='tamanho1 meio'>
            <div>
              <img src={icon_quote} />
            </div>
          </div>
          <div className='tamanho9 meio'>
            <div className='citacao-direta'>
              <p><i>{this.state.content}</i></p>
            </div>
          </div>
        </div>
      </StyledDiv>
    )
  }
}
export default CaixaCitacao
