import React from 'react'
import styled from 'styled-components'
import '../core/css/style.scss'
import config from '../local/js/config'

// Styling
const StyledDiv = styled.div`
  border: 0.3vh solid ${config.PrimaryColor};
  border-radius: 1vh;
  padding-left: 2vh;
  padding-right: 2vh;
  padding-top: 1.5vh;
  padding-bottom: 1.5vh;
  width: 100%;
  p{
    margin: 0 !important;
  }
`

// Page
class CaixaContornoImg extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      Content: this.props.Content,
      src: this.props.src
    }
  }

  render () {
    return (
      <StyledDiv className='grid-row caixa caixa-contorno-img'>

        <div className='tamanho2 meio'>
          <div>
            <img src={this.state.src} />
          </div>
        </div>
        <div className='tamanho8 meio'>
          <p>{this.state.Content}</p>
        </div>

      </StyledDiv>
    )
  }
}
export default CaixaContornoImg
