import React from 'react'
import styled from 'styled-components'

// Imports

// Assets

// Styling
const CaixaDiv = styled.div`
    .caixa-sombreada-simples{
      height: auto;
      background-color: white;
      border-radius: 1vh;
      box-shadow: 0.1vh 0.1vh 1.3vh 0.3vh #a3a2a4d1;
      padding: 2vh;
      margin-top: 1vh;
      width: 98%;
      margin: auto;

    }
    .text{
      width: 65%;
    }
    .img{
      width: 30%;
      img{
        width: 100%;
      }
    }
`
// Component
class CaixaSombreadaImg extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      // Acess this.props
      src: this.props.src,
      content: this.props.Content
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {

  }

  render () {
    return (
    // Content
      <div className='grid-row caixa caixa-sombreada-img'>
        <CaixaDiv>
          <div className='caixa-sombreada-simples d-flex justify-content-between align-items-center'>
            <div className='img'>
              <img src={this.state.src} />
            </div>
            <div className='text'><p>{this.state.content}</p></div>
          </div>
        </CaixaDiv>
      </div>
    )
  }
}
export default CaixaSombreadaImg
