import React from 'react'
import styled from 'styled-components'
import config from '../local/js/config'

// Imports

// Assets

// Styling
const ListDiv = styled.div`

    .lista-animada { 
        padding: 0; 
        margin: 0; 
    }
    .lista-animada * {
        margin: 0 !important;
    }
    .lista-animada > li { 
        margin: 0.3vh 0 0 0; 
        list-style: none; 
        padding: 2vh;
    }
    .cor1 { 
        background: ${config.ListColor1};
    }
    .cor2 { 
        background: ${config.ListColor2};
    }
`
// Component
class ListaAnimada extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      ListContent: this.props.ListContent
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {

  }

  render () {
    return (
    // Content
      <div className='grid-row caixa'>
        <ListDiv>
          <div className='lista-animada'>
            {this.state.ListContent.map((value, index) => {
              return <li className={index % 2 == 0 ? 'cor1' : 'cor2'} key={'lista-animada-' + index}><p>{value}</p></li>
            })}
          </div>
        </ListDiv>
      </div>
    )
  }
}
export default ListaAnimada
