import React from 'react'
import styled from 'styled-components'

// Imports
import $ from 'jquery'

// Assets

// Styling
const RefBtn = styled.a`

    vertical-align: super;
    font-size: calc(0.5vw + 0.6vh);
    @media screen and (max-width: 900px){
      font-size: calc(1.5vw + 0.6vh);
    }
    cursor: pointer;
    user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none;
    display: inline-block;
    color: #008bd1 !important;
    margin-top: -0.4vh;

`

// Component
class Ref extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      Id: this.props.Id
    }
  }

  componentDidMount () {
    $('.ref').click((e) => {
      var ref = $(e.target).text()
      $(document).trigger('openRef', [ref])
    })
  }

  render () {
    return (
    // Referencia
      <RefBtn className='ref mc MuiDrawer-paperAnchorLeft'>{this.state.Id}</RefBtn>
    )
  }
}
export default Ref
