import React from 'react'
import styled from 'styled-components'
import $ from 'jquery'

// Imports
import Modal from './Modal'

// Assets
import objetivo from '../local/media/images/objetivo.png'
import saibamais from '../local/media/images/saibamais.png'
import reflita from '../local/media/images/reflita.png'
import agoravoce from '../local/media/images/agoravoce.png'
import observacao from '../local/media/images/observacao.png'
import importante from '../local/media/images/importante.png'
import voceconhece from '../local/media/images/voceconhece.png'

//
import config from '../local/js/config'

// Styling
const StyledDiv = styled.div`
  display: inline-block;

  .text{
    display: inline-block;
    cursor: pointer;
    color: blue;
  }
`

// Component
class ModalBtn extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      Text: this.props.Text,
      ModalTitle: this.props.ModalTitle,
      ModalContent: this.props.ModalContent,
      Id: this.props.Id
    }
  }

  render () {
    return (
    // Botao
      <StyledDiv>
        <div className='text modal-btn mc' data-modal-selector={'#modal' + this.state.Id}>
          <strong className='mc'>{this.state.Text}</strong>
        </div>

        <Modal ModalTitle={this.state.ModalTitle} ModalContent={this.state.ModalContent} Id={this.state.Id} sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />
      </StyledDiv>
    )
  }
}
export default ModalBtn
