import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import CaixaSombreada from '../components/CaixaSombreada';

//Assets
import img1 from "../core/css/images/personagem2.png"

//Styling
const StyledDiv = styled.div`
.tamanho3 {
        width: 20.9%;
    }
    .tamanho7 {
        width: 78.9%;
    }
`

//Page
class Page extends React.Component {

    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>Considerações finais</h2>

                <div className='page'>
                    <div className="grid-row">
                        <div className="tamanho7 cima">
                            <p>Neste recurso, você teve acesso à organização, estruturação e componentes que fazem parte da Rede de Cuidados à Pessoa com Deficiência. Abordamos ainda os pontos de atenção de cada componente da Rede, bem como o tipo de serviço exercido por cada um.</p>
                            <p>Este conhecimento é fundamental para a equipe de saúde durante o acolhimento à pessoa com deficiência, de forma que esta seja direcionada de acordo com a especificidade do atendimento de que necessita, dentro dos componentes da Rede, visto que as necessidades de saúde muitas vezes vão além da deficiência apesentada.</p>
                            <p>Assim, a Atenção Primária à Saúde também deve atender a pessoa com deficiência de maneira eficiente, enfatizando os princípios do nosso Sistema Único de Saúde: integralidade, gratuidade e universalidade.</p>
                            <p>Até a próxima!</p>
                        </div>

                        <div className="tamanho3 baixo">
                            <div><img src={img1} /></div>
                        </div>
                    </div>

                    {/* <CaixaSombreada Content={[
                    ["O desenvolvimento infantil é multifatorial e na interação destes múltiplos fatores, o fator ambiental é aquele que ganha um grande destaque. O brincar na infância, como principal atividade humana deste período do ciclo vital, vai se dar a partir da influência principalmente do fator ambiental, à medida que haja uma provocação da criança por parte do ambiente, ou seja, um convite para esse brincar.",<p></p>,"Neste material, você pode perceber o quanto a atividade de brincar é extremamente importante para o desenvolvimento das crianças, não podendo ser diferente para crianças com deficiências. Adaptações precisam ser feitas para que este direito também possa ser exercido por elas e para que possam potencializar suas habilidades.",<p></p>,"Até a próxima!"]
                ]}/> */}

                </div>
            </StyledDiv>
        )
    }
}
export default Page