import React from 'react'
import styled from 'styled-components'
import FeedBack from '../components/Feedback'

//Styling
const StyledDiv = styled.div`
    .page{
        height: 50vh;
        min-height: 35vh;
        overflow-y: scroll !important;
    }
   .core-team{
        font-weight: bold;
        text-align: center;
        width: 91%;
        margin-top: 4vh;
        margin-left: 3vh;
   }
   h6{
       font-weight: bold;
    
   }
   .core-team p{
       text-align: center;
       font-weight: bold;
   }

   .list-team{
        list-style-type: none;
        margin-top: 3.8vh;
        margin-left: -3vh;
        .team{  
            font-weight: bold;
            width: 96%;    
        }
   } 
`


//Page
class Page extends React.Component {
    componentDidMount() {

    }
    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>Ficha técnica</h2>
                <div className='page'>

                    <div className="core-team">
                        <h6>MINISTÉRIO DA SAÚDE</h6>

                        <p>Secretaria de Gestão do Trabalho e da Educação na Saúde</p>
                        <p>Coordenação - Geral de Ações Estratégicas, Inovação e Avaliação da Educação em Saúde</p>
                    </div>

                    <ul className="list-team">
                        <li className="team"><p>Equipe Técnica da Coordenação-Geral de Ações Estratégicas, Inovação e Avaliação da Educação em Saúde</p></li>
                        <li><p>Bárbara Ferreira Leite</p></li>
                        <li><p>Bethânia Ramos Meireles</p></li>
                        <li><p>Marcos Pelico Ferreira Alves</p></li>
                        <li><p>Marly Maria Lopes Veiga</p></li>
                    </ul>

                    <ul className="list-team">
                        <li className="team"><p>Revisoras Técnicas – Coordenação-Geral de Ações Estratégicas, Inovação e Avaliação da Educação em Saúde</p></li>
                        <li><p>Bethânia Ramos Meireles</p></li>
                        <li><p>Marly Maria Lopes Veiga</p></li>
                    </ul>

                    <ul className="list-team">
                        <li className="team"><p>Equipe Técnica do Núcleo de Comunicação</p></li>
                        <li><p>Eduardo Pinto Grisoni</p></li>
                    </ul>

                    <div className="core-team">
                        <p>Secretaria de Atenção Primária à Saúde</p>
                        <p>Coordenação Geral de Garantia dos Atributos da Atenção Primária</p>
                    </div>
                    <ul className="list-team">
                        <li className="team"><p>Revisora Técnica - Coordenação Geral de Garantia dos Atributos da Atenção Primária</p></li>
                        <li><p>Melquia da Cunha Lima</p></li>
                    </ul>

                    <div className="core-team">
                        <p>Secretaria de Atenção Especializada à Saúde</p>
                        <p>Coordenação - Geral de Saúde da Pessoa com Deficiência</p>
                    </div>
                    <ul className="list-team">
                        <li className="team"><p>Revisora Técnica - Coordenação Geral de Saúde da Pessoa com Deficiência</p></li>
                        <li><p>Ângela Pinto dos Santos</p></li>
                        <li><p>Patrícia Arantes Torres</p></li>
                    </ul>

                    <div className="core-team">
                        <p>Universidade Aberta do SUS da Universidade Federal do Maranhão -
UNA-SUS/UFMA</p>
                    </div>
                    <ul className="list-team">
                        <li className="team"><p>Coordenação Geral</p></li>
                        <li><p>Ana Emilia Figueiredo de Oliveira</p></li>
                    </ul>

                    <ul className="list-team">
                        <li className="team"><p>Gestão de projetos</p></li>
                        <li><p>Katherine Marjorie Mendonça de Assis</p></li>
                    </ul>

                    <ul className="list-team">
                        <li className="team"><p>Coordenação de Produção Pedagógica</p></li>
                        <li><p>Paola Trindade Garcia</p></li>
                    </ul>

                    <ul className="list-team">
                        <li className="team"><p>Coordenação de Ofertas Educacionais</p></li>
                        <li><p>Elza Bernardes</p></li>
                    </ul>

                    <ul className="list-team">
                        <li className="team"><p>Coordenação de Tecnologia da Informação</p></li>
                        <li><p>Dilson José Lins Rabêlo Junior</p></li>
                    </ul>

                    <ul className="list-team">
                        <li className="team"><p>Coordenação de Comunicação</p></li>
                        <li><p>José Henrique Coutinho Pinheiro</p></li>
                    </ul>


                </div>
            </StyledDiv>
        )
    }
}
export default Page