import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import CaixaDialogo from '../components/CaixaDialogo';
import ListaAnimada from '../components/ListaAnimada';

//Assets

//Styling
const StyledDiv = styled.div`
    // .lista-animada {
        
    //     margin: 10px 0 0 0 !important;
    // }
    
    // .linha1{
    //     background-color:#014c91;
    //     margin:0;

    //     p{
    //         color: #fff;
    //         margin:5px;

    //     }
    // } 

    // .linha2{
    //     background-color:#D3D3D3;
    //     margin-bottom: 15px;
    //     p{
    //         color: #000;
    //         margin:5px;
    //     }
    // }  

    // .conversa-imagem{
    //     top:0;
    //     width: 22% !important;
    //     right: -1% !important;
    // }
    .caixa {
        margin-top: 0vh !important;
        margin-bottom: 1vh;
    }
`

//Page
class Page extends React.Component {

    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>A Rede de Cuidados à Pessoa com Deficiência</h2>

                <div className='page'>
                    <p>A Rede de Cuidados à Pessoa com Deficiência foi instituída pelo Ministério da Saúde (Portaria 793, de 24 de abril de 2012) como estratégia de criação, ampliação e articulação de pontos de atenção à saúde para pessoas com deficiência temporária ou permanente; progressiva, regressiva ou estável; intermitente ou contínua. Dentre os objetivos da Rede de Cuidados à Pessoa com Deficiência, destacamos:</p>

                    <ListaAnimada ListContent={["Ampliação do acesso e qualificação do atendimento às pessoas com deficiência;",
                        "Promoção da vinculação das pessoas com deficiência auditiva, física, intelectual, ostomia e com múltiplas deficiências e suas famílias aos pontos de atenção;",
                        "Garantia da articulação e da integração dos pontos de atenção das redes de saúde no território, qualificando o cuidado por meio do acolhimento e classificação de risco;",
                        "Promoção de cuidados em saúde especialmente dos processos de reabilitação;",
                        "Promoção da reabilitação e da reinserção das pessoas com deficiência, por meio do acesso ao trabalho, à renda e à moradia solidária, em articulação com os órgãos de assistência social;",
                        ["Desenvolvimento de ações intersetoriais de promoção e prevenção à saúde em parceria com organizações governamentais e da sociedade civil", <Ref key={"rf" + Date.now()} Id="1" />, <sup>, </sup>, <Ref key={"rf" + Date.now()} Id="2" />, "."]
                    ]} />


                </div>
            </StyledDiv>
        )
    }
}
export default Page