import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import CaixaContorno from '../components/CaixaContorno';
import CaixaDialogo from '../components/CaixaDialogo';
import CaixaColorida from '../components/CaixaColorida';
import CaixaSombreada from '../components/CaixaSombreada';
import CaixaDialogoFundo from '../components/CaixaDialogoFundo';

//Assets

//Styling
const StyledDiv = styled.div`
   
   
`

//Page
class Page extends React.Component {

    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>Atendimento à pessoa com deficiência na Atenção Primária à Saúde</h2>

                <div className='page'>
                    <p><strong>Atenção Especializada em Reabilitação Física, Intelectual, Auditiva, Visual, Ostomia e em Múltiplas Deficiências</strong></p>

                    <p>Os <strong>Centros de Especialidades Odontológicas (CEO)</strong> deverão ampliar e qualificar o cuidado às especificidades da pessoa com deficiência que necessite de atendimento odontológico no âmbito das especialidades definidas.</p>

                    <CaixaSombreada Content={["Os CEOs que fizerem adesão junto ao Ministério da Saúde (Portaria GM/MS 1.341, de 13 de junho de 2012) como ponto de atenção da Rede de Cuidados à Pessoa com Deficiência deverão disponibilizar ", <strong>40 (quarenta) horas semanais</strong>, ", no mínimo, para atendimento exclusivo às pessoas com deficiência."]} />

                    <CaixaDialogoFundo DialogContent={["Os ", <strong>estabelecimentos de saúde habilitados em apenas um serviço de reabilitação</strong>, " são unidades ambulatoriais especializadas em apenas reabilitação auditiva, física, intelectual, visual, ostomia ou múltiplas deficiências."]} />


                </div>
            </StyledDiv>
        )
    }
}
export default Page