import React from 'react'
import styled from 'styled-components'
import '../core/css/style.scss'
import config from '../local/js/config'

// Styling
const StyledDiv = styled.div`
  border-radius: 1vh;
  padding-left: 2vh;
  padding-right: 2vh;
  padding-top: 1.5vh;
  padding-bottom: 1.5vh;
  background-color: ${config.PrimaryColor};
  width: 100%;
  p{
    margin: 0 !important;
    color:white;
  }
`

// Page
class CaixaColorida extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      content: this.props.Content
    }
  }

  render () {
    return (
      <StyledDiv className='caixa caixa-colorida'>
        <p>{this.state.content}</p>
      </StyledDiv>
    )
  }
}
export default CaixaColorida
