import React from 'react'
import styled from 'styled-components'

// Imports

// Assets

// Styling
const CaixaDiv = styled.div`
    .caixa-sombreada-simples{
      height: auto;
      background-color: white;
      border-radius: 1vh;
      box-shadow: 0.1vh 0.1vh 0.3vh 0.3vh #a3a2a4d1;
      padding: 2vh;
      margin-top: 1vh;
      width: 98%;
      margin: auto;
      p{
          margin: 0;
      }
    }
`
// Component
class CaixaSombreada extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      // Acess this.props
      content: this.props.Content
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {

  }

  render () {
    return (
    // Content
      <div className='grid-row caixa caixa-sombreada'>
        <CaixaDiv>
          <div className='caixa-sombreada-simples'>
            <p>{this.state.content}</p>
          </div>
        </CaixaDiv>
      </div>
    )
  }
}
export default CaixaSombreada
