import React from 'react'
import styled from 'styled-components'
// Imports

import img1 from '../local/media/images/logo.png'
import img2 from '../local/media/images/logos_bar.png'
import config from '../local/js/config'
import $ from 'jquery'

// Assets

// Styling
import { CapaDiv, Logo, LogosBar } from '../local/js/styledCapa'

// Component
class Capa extends React.Component {
  // Scripts

  // Called when rendered
  componentDidMount () {
    $('.content').addClass('capa')
  }

  render () {
    return (
    // Content
      <CapaDiv>
        <Logo>
          <img className='tamanho8' src={img1} />
          <div class='hidden'>{config.ModuleName}</div>
        </Logo>
        <LogosBar>
          <img src={img2} />
        </LogosBar>
      </CapaDiv>
    )
  }
}
export default Capa
