import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import CaixaContorno from '../components/CaixaContorno';
import img1 from '../pages/media/images/pag5_img1.png'

//Assets

//Styling
const StyledDiv = styled.div`
/* .tamanho8 {
    width: 90.9% !important;
} */

`

//Page
class Page extends React.Component {

    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>A Rede de Cuidados à Pessoa com Deficiência</h2>

                <div className='page'>
                    <p>A Rede de Cuidados à Pessoa com Deficiência se organiza com os seguintes componentes: Atenção Primária à Saúde, Atenção Especializada em Reabilitação (física, auditiva, visual, intelectual, ostomia e múltiplas deficiências) e Atenção Hospitalar de Urgência e Emergência.</p>

                    <CaixaContorno Content={["Esses serviços serão articulados entre si de forma a garantir a integralidade do cuidado e o acesso regulado a cada ponto de atenção. Clique ", <a href="https://www.youtube.com/watch?v=2jMjFx9SHuw" target="_blank">aqui</a>, " e veja um vídeo do Ministério da Saúde (2019) sobre a articulação entre a Atenção Primária à Saúde e a Atenção Especializada em reabilitação."]} />

                    <p>O componente da Atenção Primária à Saúde é formado pelos seguintes pontos de atenção: Unidade Básica de Saúde (UBS); Núcleo Ampliado de Saúde da Família (NASF-AB); e Atenção Odontológica<Ref key={"rf" + Date.now()} Id="1" /><sup>, </sup><Ref key={"rf" + Date.now()} Id="2" />.</p>

                    <div className="grid-row centro">
                        <div className="tamanho8">
                            <div><img src={img1} /></div>
                        </div>
                    </div>

                    {/* <div className="grid-row centro">
                    <div className="tamanho8 meio">
                        <CaixaColorida Content={[<p className="centro">Rede de Cuidados à Pessoa com Deficiência</p>]}/>
                    </div>
                    <div className="tamanho7 meio">
                        <div><img src={img1}/></div>
                    </div>
                </div>
                <div className="grid-row centro">
                    <div className="tamanho3 cima">
                        <CaixaContorno Content={[<p className="centro">Atenção Básica</p>]}/>
                    </div>
                    <div className="tamanho3 cima">
                        <CaixaContorno Content={[<p className="centro">Atenção Especializada em Reabilitação Física, Auditiva, Visual, Intelectual, Ostomia e Múltiplas Deficiências</p>]}/>
                    </div>
                    <div className="tamanho3 cima">
                        <CaixaContorno Content={[<p className="centro">Atenção Hospitalar e de Urgência e Emergência</p>]}/>
                    </div>
                </div> */}



                </div>
            </StyledDiv>
        )
    }
}
export default Page